Bug 967553 - Unrequested installation of tboot from x86_64 Live.iso
Unrequested installation of tboot from x86_64 Live.iso
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 08:43 EDT by Vojtěch Boček
Modified: 2014-03-16 23:33 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 17:48:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of grub menu with tboot. (6.19 KB, image/png)
2013-05-27 08:43 EDT, Vojtěch Boček
no flags Details
GRUB error on UEFI machines. (52.36 KB, image/jpeg)
2013-05-27 08:44 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-27 08:43:36 EDT
Created attachment 753606 [details]
Screenshot of grub menu with tboot.

Description of problem:
tboot grub entry appears in Fedora 19 RC4 x86_64 live.iso installation, but it is not in any other installation type - DVD.iso nor i386 version of live.iso. A quick looks into comps.xml shows that tboot is part of anaconda-tools group.

On UEFI systems, tboot entry does not even work - it results in error, see attachments. On normal x86_64 systems, it boots okay.

This did not happen with live.iso of F18.

Version-Release number of selected component (if applicable):
anaconda 19.30-1

How reproducible:
100%

Steps to Reproduce:
1. Install OS from Live.iso
2. Reboot to GRUB menu

Actual results:
A new entry, tboot, appears.

Expected results:
tboot should not be there.
Comment 1 Vojtěch Boček 2013-05-27 08:44:16 EDT
Created attachment 753607 [details]
GRUB error on UEFI machines.
Comment 2 Kamil Páral 2013-05-27 08:49:38 EDT
If it is not possible to remove tboot from Live image, at least we should find a way how to "disable" it, so that it doesn't interact with the installed system. Similarly how anaconda package itself is handled - it is changed not to show up in the application menu. Currently, the tboot menu item is confusing, it is very unclear what it does and why it is in there. Maybe anaconda could remove the package at the end of the installation, before grub.cfg is generated?
Comment 3 Kamil Páral 2013-05-27 08:50:56 EDT
CCing tboot maintainer as well.
Comment 4 David Shea 2013-08-02 17:48:59 EDT
tboot was removed from comps.xml in the F19 release.

Note You need to log in before you can comment on or make changes to this bug.